summaryrefslogtreecommitdiff
path: root/VA
diff options
context:
space:
mode:
Diffstat (limited to 'VA')
-rw-r--r--VA/host/app.c20
-rwxr-xr-xVA/run-fgbs24a.sh9
2 files changed, 11 insertions, 18 deletions
diff --git a/VA/host/app.c b/VA/host/app.c
index 065af72..93d6e57 100644
--- a/VA/host/app.c
+++ b/VA/host/app.c
@@ -76,8 +76,6 @@ int main(int argc, char **argv) {
DPU_ASSERT(dpu_probe_init("energy_probe", &probe));
#endif
- printf("WITH_ALLOC_OVERHEAD=%d WITH_LOAD_OVERHEAD=%d WITH_FREE_OVERHEAD=%d\n", WITH_ALLOC_OVERHEAD, WITH_LOAD_OVERHEAD, WITH_FREE_OVERHEAD);
-
// Timer declaration
Timer timer;
@@ -263,8 +261,10 @@ int main(int argc, char **argv) {
if (status) {
printf("[" ANSI_COLOR_GREEN "OK" ANSI_COLOR_RESET "] Outputs are equal\n");
if (rep >= p.n_warmup) {
- printf("[::] VA UPMEM | n_dpus=%d n_ranks=%d n_tasklets=%d e_type=%s block_size_B=%d n_elements=%d n_elements_per_dpu=%d b_sdk_singlethreaded=%d ",
- nr_of_dpus, nr_of_ranks, NR_TASKLETS, XSTR(T), BLOCK_SIZE, input_size, input_size / NR_DPUS, SDK_SINGLETHREADED);
+ printf("[::] VA UPMEM | n_dpus=%d n_ranks=%d n_tasklets=%d e_type=%s block_size_B=%d n_elements=%d n_elements_per_dpu=%d",
+ nr_of_dpus, nr_of_ranks, NR_TASKLETS, XSTR(T), BLOCK_SIZE, input_size, input_size / NR_DPUS);
+ printf(" b_sdk_singlethreaded=%d b_with_alloc_overhead=%d b_with_load_overhead=%d b_with_free_overhead=%d ",
+ SDK_SINGLETHREADED, WITH_ALLOC_OVERHEAD, WITH_LOAD_OVERHEAD, WITH_FREE_OVERHEAD);
printf("| latency_alloc_us=%f latency_load_us=%f latency_cpu_us=%f latency_write_us=%f latency_kernel_us=%f latency_read_us=%f latency_free_us=%f",
timer.time[0],
timer.time[1],
@@ -297,18 +297,6 @@ int main(int argc, char **argv) {
printf("throughput_*_MOpps == n_elements / (+ latency_*_us ...)\n");
printf("throughput_*_MBps == 3 * sizeof(e_type) * throughput_*_MOpps \n");
- // Print timing results
- /*
- printf("CPU ");
- print(&timer, 0, p.n_reps);
- printf("CPU-DPU ");
- print(&timer, 1, p.n_reps);
- printf("DPU Kernel ");
- print(&timer, 2, p.n_reps);
- printf("DPU-CPU ");
- print(&timer, 3, p.n_reps);
- */
-
#if ENERGY
double energy;
DPU_ASSERT(dpu_probe_get(&probe, DPU_ENERGY, DPU_AVERAGE, &energy));
diff --git a/VA/run-fgbs24a.sh b/VA/run-fgbs24a.sh
index f8941fb..0aa6999 100755
--- a/VA/run-fgbs24a.sh
+++ b/VA/run-fgbs24a.sh
@@ -4,6 +4,8 @@ set -e
mkdir -p $(hostname)
+ts=$(date +%Y%m%d)
+
# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
# T: data type
# -w: number of un-timed warmup iterations
@@ -16,13 +18,16 @@ echo "prim-benchmarks VA (dfatool fgbs24a edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_dpus in 2543 2304 2048; do
+for nr_dpus in 2304 2048 2543; do
for nr_tasklets in 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 167772160 -x 1 || true
fi
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 167772160 -x 1 || true
+ fi
done
done
echo "Completed at $(date)"
-) | tee "$(hostname)/fgbs24a.txt"
+) | tee "$(hostname)/${ts}-fgbs24a.txt"